на главнуюВсе эхи RU.UNIX.BSD
войти ?

Re: Очень не хватает поддержки LongTerm для freebsd

От Eugene Grosbein (2:5006/1) к Dmitry Dolzenko

В ответ на Заголовок предыдущего сообщения в треде (Имя Автора)


13 июля 2023, четверг, в 16:16 NOVT, Dmitry Dolzenko написал(а):

DD> From: Dmitry Dolzenko <dol@mig.phys.msu.ru>
DD> Всем привет!
DD> Очень не хватает поддержки LongTerm для freebsd, я имею в виду выпуск
DD> патчей лет на 5.
DD> Какой выход - есть родственные BSD системы с LTS или переходить на linux
DD> и совершить грехопадение?

Изучить, как оно на самом деле: https://www.freebsd.org/security/

The FreeBSD support model

Under the current support model, each major version's stable
branch is explicitly supported for 5 years, while each individual
point release is only supported for three months after the next
point release.

The details and rationale behind this model can be found
in the official announcement sent in February 2015.
https://lists.freebsd.org/pipermail/freebsd-announce/2015-February/001624.html

Вкраце это значит, что установив 13-ю версию (13.0-RELEASE),
далее можно 5 лет накатывать (в том числе бинарные) обновления
в пределах 13-й ветки, получая патчи безопасности и консервативный
набор новых фич с гарантией стабильности API/ABI в пределах ветки.

То есть, это будут только минорные обновления в течение 5 лет.
Для ветки 12 это обновления с 12.0-RELEASE (11 декабря 2018)
по 12.4-RELEASE и после 12.4-RELEASE тоже, до 31 декабря 2023.

Eugene

--- slrn/1.0.3 (FreeBSD)
* Origin: RDTC JSC (2:5006/1@fidonet)

Ответы на это письмо:

From: Username
Заголовок следующего сообщения в треде может быть длинным и его придется перенести на новую строку

From: Username
Или коротким

FGHI-url этого письма: area://RU.UNIX.BSD?msgid=grosbein.net+40be57f8